org.bdgenomics.adam.models

# Extractable

#### trait Extractable extends AnyRef

A trait for values (usually regions or collections of regions) that can be subsetted or extracted out of a larger region string -- for example, exons or transcripts which have a sequence defined in terms of their coordinates against a reference chromosome. Passing the sequence of the reference chromosome to a transcript's 'extractSequence' method will return the sequence of the transcript.

Linear Supertypes
AnyRef, Any
Known Subclasses
BlockExtractable, CDS, Exon, UTR
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Extractable
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def extractSequence(referenceSequence: String): String

   Returns the subset of the given referenceSequence that corresponds to this Extractable (not necessarily a contiguous substring, and possibly reverse- complemented or transformed in other ways).

   Returns the subset of the given referenceSequence that corresponds to this Extractable (not necessarily a contiguous substring, and possibly reverse- complemented or transformed in other ways).

   referenceSequence

     The reference sequence (e.g. chromosomal sequence) with respect to which the Extractable's coordinates or locators are given

   returns

     the String representation of this Extractable

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

18. #### def toString(): String

    Definition Classes
      AnyRef → Any

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped